/* ------------------------------
   水子法要のご案内
------------------------------ */
.mizuko {
  position: relative;
  padding-top: clamp(5rem, 3.641rem + 2.17vw, 6.25rem);
}

.mizuko-bg {
  .mizuko-bg-image01 {
    position: absolute;
    top: 48px;
    right: 0;
    width: clamp(16.25rem, 3.614rem + 20.22vw, 27.875rem);
    z-index: -1;
  }

  .mizuko-bg-image02 {
    position: absolute;
    top: 805px;
    left: 0;
    width: clamp(16.25rem, 3.614rem + 20.22vw, 27.875rem);
    z-index: -1;
  }

  .mizuko-bg-image03 {
    position: absolute;
    top: 1150px;
    left: 0;
    width: clamp(18.75rem, 11.957rem + 10.87vw, 25rem);
    z-index: -1;
  }

  .mizuko-bg-image04 {
    position: absolute;
    bottom: 140px;
    right: 0;
    width: clamp(16.25rem, 3.614rem + 20.22vw, 27.875rem);
    z-index: -1;
  }

}

.mizuko-inner {
  max-width: 1000px;
  margin: clamp(2rem, 0.913rem + 1.74vw, 3rem) auto 0;
}

.mizuko-img {
  position: relative;
  display: flex;
  height: 500px;
  margin-top: 48px;

  .mizuko-img01 {
    position: absolute;
    top: 0;
    left: 0;
    width: 58%;
  }

  .mizuko-img02 {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 45%;
  }
}

.mizuko-text {
  margin-top: 24px;
}

.mizuko-info {
  display: flex;
  flex-direction: column;
  gap: 24px;
  margin-top: 32px;

  .mizuko-info-item {
    padding: 24px;
    background-color: #FAF7F4;

    h3 {
      padding-left: 16px;
      border-left: 2px solid var(--main-color);
    }

    p {
      margin-top: 16px;
    }
  }
}

.mizuko-price {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 16px;
  margin-top: 32px;

  .price-box {
    padding: 32px;
    border: 1px solid var(--main-color);
    background-color: #fff;

    h4 {
      font-size: 24px;
    }
  }

  .price {
    p {
      font-size: 28px;
      line-height: 1.5;
    }

    span {
      margin-right: 4px;
      font-size: 40px;
      font-weight: bold;
      color: #862525;
    }
  }

  .annotation {
    padding-bottom: 12px;
    border-bottom: 1px dashed var(--main-color);

    p {
      font-size: 14px;
    }
  }

  .price-info {
    margin-top: 16px;
  }

  .price-list {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 16px;
    margin-top: 16px;
    background-color: #FAF7F4;
  }

  .price-list li {
    position: relative;
    padding-left: 16px;
    font-size: 14px;
  }

  .price-list li::before {
    content: "・";
    position: absolute;
    left: 0;
    top: 0;
    color: var(--main-color);
  }
}

.contact-button {
  margin-top: 24px;

  a {
    display: inline-block;
    text-align: center;
    width: 100%;
    padding: 16px 0;
    background-color: var(--main-color);
    color: #fff;
    transition: 0.3s opacity;

    &:hover {
      opacity: .8;
    }
  }
}

/* ------------------------------
   仏像のご紹介
------------------------------ */

.butsuzo {
  position: relative;
  padding: clamp(5rem, 3.641rem + 2.17vw, 6.25rem) 0 clamp(7.5rem, 4.783rem + 4.35vw, 10rem);
}

.butsuzo-bg {
  .butsuzo-bg-image01 {
    position: absolute;
    top: 88px;
    right: 0;
    width: clamp(18.75rem, 11.957rem + 10.87vw, 25rem);
    z-index: -1;
  }

  .butsuzo-bg-image02 {
    position: absolute;
    top: 600px;
    left: 0;
    width: clamp(16.25rem, 2.255rem + 22.39vw, 29.125rem);
    z-index: -1;
  }

  .butsuzo-bg-image03 {
    position: absolute;
    bottom: -8px;
    left: 0;
    width: clamp(18.75rem, 11.957rem + 10.87vw, 25rem);
    z-index: -1;
  }
}

.butsuzo-inner {
  max-width: 1000px;
  margin: auto;
}

.butsuzo-inner-text {
  p {
    width: fit-content;
    margin: clamp(2rem, 0.913rem + 1.74vw, 3rem) auto 0;
  }
}

.butsuzo-box {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 16px;
  margin-top: clamp(2rem, 1.457rem + 0.87vw, 2.5rem);

  li {
    width: 32%;
    padding: clamp(1.5rem, 0.957rem + 0.87vw, 2rem);
    border: 1px solid #E2D6CA;
    background-color: #fff;
  }
}

.butsuzo-box-text {
  text-align: center;
  margin-top: 8px;

  p {
    font-size: 16px;
    word-break: keep-all;
  }

  .size01 {
    font-size: 16px;
    font-weight: bold;
    margin: 0 3px 0 2px;
  }

  .size02 {
    font-size: 16px;
    font-weight: bold;
    margin: 0 2px 0 5px;
  }
}

.butsuzo-price {
  p {
    font-size: 18px;
  }

  span {
    margin-right: 4px;
    font-size: 32px;
    font-weight: bold;
    color: #862525;
  }
}

@media (max-width: 1000px) {
  /* ------------------------------
   水子法要のご案内
------------------------------ */

  .mizuko {
    padding-top: clamp(4rem, 0.69rem + 6.9vw, 5rem);
  }

  .mizuko-bg {
    .mizuko-bg-image01 {
      width: clamp(11.25rem, -5.302rem + 34.48vw, 16.25rem);
    }

    .mizuko-bg-image02 {
      width: clamp(11.25rem, -5.302rem + 34.48vw, 16.25rem);
    }

    .mizuko-bg-image03 {
      width: 300px;
    }

    .mizuko-bg-image04 {
      width: clamp(11.25rem, -5.302rem + 34.48vw, 16.25rem);
    }
  }

  .mizuko-img {
    height: 460px;
    margin-top: 32px;
  }

  .mizuko-inner {
    max-width: 750px;
    margin: clamp(1.5rem, -0.155rem + 3.45vw, 2rem) auto 0;
  }

  .mizuko-price {
    .price {
      p {
        font-size: clamp(1.5rem, 0.672rem + 1.72vw, 1.75rem);
      }
    }

    .annotation {
      padding-bottom: clamp(0.5rem, -0.328rem + 1.72vw, 0.75rem);
    }

    .price-info {
      margin-top: clamp(0.5rem, -1.155rem + 3.45vw, 1rem);
    }

    .price-list {
      gap: clamp(0.625rem, 0.211rem + 0.86vw, 0.75rem);
      margin-top: clamp(0.5rem, -1.155rem + 3.45vw, 1rem);
    }

    .price-box {
      h4 {
        font-size: clamp(1.375rem, 0.961rem + 0.86vw, 1.5rem);
      }
    }
  }

  .contact-button {
    margin-top: clamp(1rem, -0.655rem + 3.45vw, 1.5rem);
  }

  /* ------------------------------
   仏像のご紹介
------------------------------ */
  .butsuzo {
    padding: clamp(4rem, 0.69rem + 6.9vw, 5rem) 0 clamp(5rem, -3.276rem + 17.24vw, 7.5rem);
  }

  .butsuzo-bg {
    .butsuzo-bg-image01 {
      width: 300px;
    }

    .butsuzo-bg-image02 {
      width: clamp(11.25rem, -5.302rem + 34.48vw, 16.25rem);
    }

    .butsuzo-bg-image03 {
      width: 300px;
    }
  }

  .butsuzo-inner {
    max-width: 750px;
  }

  .butsuzo-box {
    margin-top: clamp(1.5rem, -0.155rem + 3.45vw, 2rem);

    li {
      display: flex;
      flex-direction: column;
      justify-content: center;
      width: 31%;
      padding: 24px;
    }
  }

  .butsuzo-inner-text {
    P {
      margin: clamp(1.5rem, -0.155rem + 3.45vw, 2rem) auto 0;
    }
  }
}

@media (max-width: 768px) {
  /* ------------------------------
   水子法要のご案内
------------------------------ */

  .mizuko {
    padding: clamp(3rem, -0.31rem + 6.9vw, 4rem) 16px 0;
  }

  .mizuko-bg {
    .mizuko-bg-image01 {
      top: 16px;
      width: clamp(8.125rem, 3.703rem + 15.72vw, 11.25rem);
    }

    .mizuko-bg-image02 {
      width: clamp(8.125rem, 3.703rem + 15.72vw, 11.25rem);
    }

    .mizuko-bg-image03 {
      width: clamp(12.5rem, 3.656rem + 31.45vw, 18.75rem);
      top: 1320px;
    }

    .mizuko-bg-image04 {}
  }

  .mizuko-img {
    height: clamp(12.5rem, -2.005rem + 51.57vw, 22.75rem);
    margin-top: clamp(1rem, -0.415rem + 5.03vw, 2rem);
  }

  .mizuko-text {
    margin-top: clamp(0.5rem, -0.208rem + 2.52vw, 1rem);
  }

  .mizuko-info {
    gap: 16px;
    margin-top: clamp(1rem, 0.292rem + 2.52vw, 1.5rem);
  }

  .mizuko-price {
    grid-template-columns: repeat(1, 1fr);
    margin-top: clamp(1rem, 0.292rem + 2.52vw, 1.5rem);

    .price-box {
      h4 {
        font-size: clamp(1.25rem, 1.073rem + 0.63vw, 1.375rem);
      }
    }

    .price {
      p {
        font-size: clamp(1.25rem, 0.896rem + 1.26vw, 1.5rem);
      }
    }

    .annotation {
      padding-bottom: 8px;
    }

    .price-info {
      margin-top: 8px;
    }

    .price-list {
      gap: 10px;
      margin-top: 8px;
    }
  }

  .contact-button {
    margin-top: 16px;

    a {
      padding: clamp(0.625rem, 0.094rem + 1.89vw, 1rem) 0;
    }
  }

  /* ------------------------------
   仏像のご紹介
------------------------------ */
  .butsuzo {
    padding: clamp(3rem, 1.585rem + 5.03vw, 4rem)x 16px clamp(4rem, 2.585rem + 5.03vw, 5rem);
  }

  .butsuzo-bg {
    .butsuzo-bg-image01 {
      width: clamp(12.5rem, 3.656rem + 31.45vw, 18.75rem);
    }

    .butsuzo-bg-image02 {
      width: clamp(8.125rem, 3.703rem + 15.72vw, 11.25rem);
    }

    .butsuzo-bg-image03 {
      width: clamp(10rem, 3.809rem + 22.01vw, 14.375rem);
    }
  }

  .butsuzo-inner-text {
    P {
      margin: clamp(1rem, 0.292rem + 2.52vw, 1.5rem) auto 0;
    }
  }

  .butsuzo-box {
    display: grid;
    grid-template-columns: repeat(2, 3fr);
    margin-top: clamp(1rem, 0.292rem + 2.52vw, 1.5rem);

    li {
      width: 100%;
    }
  }

  .butsuzo-box-text {
    p {
      font-size: 16px;
    }
  }

  .butsuzo-price {
    span {
      font-size: 28px;
    }
  }
}

@media (max-width:450px) {

  /* ------------------------------
   水子供養のご案内
------------------------------ */
  .mizuko {
    padding: 64px 16px 0;
  }

  .mizuko-bg {
    .mizuko-bg-image01 {
      width: 160px;
    }

    .mizuko-bg-image02 {
      width: 160px;
    }

    .mizuko-bg-image03 {
      top: 1400px;
      width: clamp(9.375rem, -1.563rem + 50vw, 12.5rem);
    }

    .mizuko-bg-image04 {}
  }

  .mizuko-img {
    flex-direction: column;
    gap: 16px;
    margin-top: 24px;
    height: auto;

    .mizuko-img01 {
      position: inherit;
      width: 100%;
    }

    .mizuko-img02 {
      position: inherit;
      width: 100%;
    }
  }

  .mizuko-inner {
    margin: 24px auto 0;
  }

  .mizuko-text {
    margin-top: 16px;
  }

  .mizuko-ingo {
    margin-top: 16px;
  }

  .mizuko-info {
    margin-top: 24px;

    .mizuko-info-item {
      p {
        margin-top: 16px;
      }
    }
  }

  .mizuko-price {
    margin-top: 24px;

    .price-box {
      padding: 24px;

      h4 {
        font-size: 20px;
      }
    }

    .price {
      p {
        font-size: 20px;
      }

      span {
        font-size: 35px;
      }
    }

    .price-list {
      padding: 8px;
    }
  }

  /* ------------------------------
   仏像のご紹介
------------------------------ */
  .butsuzo {
    padding: 64px 16px;
  }

  .butsuzo-bg {
    .butsuzo-bg-image01 {
      top: 100px;
    }
  }

  .butsuzo-inner-text {
    p {
      margin: 24px auto 0;
    }
  }

  .butsuzo-box {
    grid-template-columns: repeat(1, 5fr);
    margin-top: 24px;
  }

  .butsu-price {
    span {
      font-size: 32px;
      line-height: 1.5;
    }
  }

}